Skip to main content
GET
Get one plan item

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

extend
enum<string>[]

Extend options (JSON-encoded array, e.g. ?extend=["category"]):

  • "actions-info": Adds actions { canBeUpdated, canBeDeleted }.
Available options:
actions-info

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
ref
string | null
required
Maximum string length: 40
Pattern: ^[A-Z]+-[1-9]\d*(?:-[A-Z]+-[1-9]\d*)*$
name
string
required
Required string length: 1 - 150
type
enum<string>
required
Available options:
point,
zone,
drawing
entityType
enum<string>
required
Available options:
custom,
anomaly,
equipment,
room,
drawing
xPercent
number | null
required
Required range: 0 <= x <= 100
yPercent
number | null
required
Required range: 0 <= x <= 100
rectPoint
number[][] | null
required
Minimum array length: 3
Required array length: 2 elements
Required range: 0 <= x <= 100
path
string | null
required
Required string length: 1 - 65536
color
string | null
required
Pattern: ^#[0-9a-fA-F]{6}$
width
number | null
required
Required range: x > 0
opacity
number | null
required
Required range: 0 <= x <= 1
planId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
anomalyId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
organizationId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
actions
object